Bug 251068 - Review Request: ocaml-libvirt - OCaml binding for libvirt
Summary: Review Request: ocaml-libvirt - OCaml binding for libvirt
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 241656 250969 253566
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-06 21:19 UTC by Richard W.M. Jones
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2007-08-24 18:25:14 UTC
berrange: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Richard W.M. Jones 2007-08-06 21:19:48 UTC
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-libvirt.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-libvirt-0.3.1.2-1.fc8.src.rpm
Description: OCaml binding for libvirt (http://libvirt.org)
and also the virtualization utility 'virt-top'.

Comment 1 Richard W.M. Jones 2007-08-22 12:12:17 UTC
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-libvirt.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-libvirt-0.3.2.1-1.fc8.src.rpm
Description: OCaml binding for libvirt (http://libvirt.org)
and also the virtualization utility 'virt-top'.

* Wed Aug 22 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.1-1
- Upstream version 0.3.2.1.
- Put HTML documentation in -devel package.


Comment 2 Richard W.M. Jones 2007-08-22 12:48:35 UTC
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-libvirt.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-libvirt-0.3.2.1-2.fc8.src.rpm
Description: OCaml binding for libvirt (http://libvirt.org)
and also the virtualization utility 'virt-top'.

There was an unclosed %if section in the previous spec file - fixed.

Comment 3 Richard W.M. Jones 2007-08-23 18:12:21 UTC
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-libvirt.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-libvirt-0.3.2.3-2.fc8.src.rpm
Description: OCaml binding for libvirt (http://libvirt.org)
and also the virtualization utility 'virt-top'.

* Thu Aug 23 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.3-2
- build_* macros so we can choose what subpackages to build.

* Thu Aug 23 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.3-1
- Upstream version 0.3.2.3.
- Add missing BR libvirt-devel.

* Wed Aug 22 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.2-1
- Upstream version 0.3.2.2.


Comment 4 Daniel Berrange 2007-08-24 01:29:34 UTC
      - MUST: rpmlint must be run on every package. [OK]

$ rpmlint /home/berrange/rpm/RPMS/x86_64/ocaml-libvirt-0.3.2.3-2.fc8.x86_64.rpm
$ rpmlint /home/berrange/rpm/SRPMS/ocaml-libvirt-0.3.2.3-2.fc8.src.rpm
$ rpmlint
/home/berrange/rpm/RPMS/x86_64/ocaml-libvirt-devel-0.3.2.3-2.fc8.x86_64.rpm
$ rpmlint /home/berrange/rpm/RPMS/x86_64/mlvirsh-0.3.2.3-2.fc8.x86_64.rpm
$ rpmlint /home/berrange/rpm/RPMS/x86_64/virt-top-0.3.2.3-2.fc8.x86_64.rpm


      - MUST: The package must be named according to the Package Naming
Guidelines. [OK]
           NB: the subpackags mlvirsh & virt-top do not have ocaml-libvirt
prefix. This makes sense in context, since they are top level apps which happen
to be part of main tar.gz => OK
      - MUST: The spec file name must match the base package %{name} [OK]
      - MUST: The package must meet the Packaging Guidelines. [OK]
      - MUST: The package must be licensed with a Fedora approved license [OK]
      - MUST: The License field in the package spec file must match the actual
license. [OK]
      - MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc. [OK]
      - MUST: The spec file must be written in American English. [OK]
      - MUST: The spec file for the package MUST be legible. [OK]
      - MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL.  [OK]
      - MUST: The package must successfully compile and build into binary rpms
on at least one supported architecture. [OK x86_64 rawhide]
      - MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. [OK]
      - MUST: All build dependencies must be listed in BuildRequires [OK]
      - MUST: The spec file MUST handle locales properly. [N/A]
      - MUST: Every binary RPM package which stores shared library files (not
just symlinks) in any of the dynamic linker's default paths, must call ldconfig
in %post and %postun. [N/A]
      - MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review. [N/A]
      - MUST: A package must own all directories that it creates. [OK]
      - MUST: A package must not contain any duplicate files in the %files
listing. [OK]
      - MUST: Permissions on files must be set properly. [OK]
      - MUST: Each package must have a %clean section [OK]
      - MUST: Each package must consistently use macros [OK]
      - MUST: The package must contain code, or permissable content. [OK]
      - MUST: Large documentation files should go in a -doc subpackage.  [N/A]
      - MUST: If a package includes something as %doc, it must not affect the
runtime of the application. [N/A]
      - MUST: Header files must be in a -devel package. [OK]
      - MUST: Static libraries must be in a -static package. [N/A]
      - MUST: Packages containing pkgconfig(.pc) files must 'Requires:
pkgconfig' (for directory ownership and usability). [N/A]
      - MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in a
-devel package. [N/A]
      - MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} [OK] 
      - MUST: Packages must NOT contain any .la libtool archives [N/A]
      - MUST: Packages containing GUI applications must include a
%{name}.desktop file [N/A]
      - MUST: Packages must not own files or directories already owned by other
packages. [OK]
      - MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT). See Prepping BuildRoot For %install for
details. [OK]
      - MUST: All filenames in rpm packages must be valid UTF-8. [OK]

OK, all supplementary guidelines for OCaml at:

http://fedoraproject.org/wiki/Packaging/OCaml

Will approve once block bug 241656, bug 250969, and bug 253566 are approved.


Comment 5 Daniel Berrange 2007-08-24 13:38:24 UTC
All dependant packages are approved, so this is now APPROVED.


Comment 6 Richard W.M. Jones 2007-08-24 13:49:51 UTC
New Package CVS Request
=======================
Package Name: ocaml-libvirt
Short Description: OCaml binding for libvirt
Owners: rjones@redhat.com
Branches: F-7
InitialCC: rjones@redhat.com
Cvsextras Commits: yes

Comment 7 Kevin Fenzi 2007-08-24 15:44:04 UTC
cvs done.

Comment 8 Richard W.M. Jones 2007-11-07 15:42:59 UTC
Package Change Request
======================
Package Name: ocaml-libvirt
New Branches: EL-5


Comment 9 Kevin Fenzi 2007-11-07 19:55:54 UTC
cvs done. 


Note You need to log in before you can comment on or make changes to this bug.